Migrer des bases postgresql avec PgAdmin 4:problèmes et solutions

Mise à jour du 28/04/2017

Le problème soulevé ici a été résolu par l’équipe de pgAdmin (testé sur la version 1.4 de pgAdmin). Si vous trouvez ce problème et que vous avez une version antérieure de pgAdmin 4, il suffit de télécharger et installer la dernière version). Par contre la méthode peut toujours servir pour contourner des éventuelles erreurs de pgAdmin, en réutilisant la syntaxe récupérée sur la fenêtre d’erreur)

Depuis peu, la nouvelle version de PostgreSQL 9.6 est disponible. Parmi les nouveautés, une nouvelle interface du client PgAdmin est disponible (PgAdmin 4 v1.1).
Si vous voulez migrer vos bases de données d’une version précédente de PostgreSQL vers une base 9.6, ce n’est pas gagné!
Tout d’abord plantons le décor: je ne parlerai que du travail sous Windows, je n’ai pas des infos si ceci arrive aussi sous Linux. Deuxièmement, j’ai reporté le bug depuis un mois à l’équipe de PgAdmin mais pour l’instant il n’a pas été pris en charge. Mais comme il faut bien continuer à travailler en attendant que le problème soit résolu, voici un moyen de contourner le problème.
Continuer la lecture de « Migrer des bases postgresql avec PgAdmin 4:problèmes et solutions »